diff --git a/drupal7/sites/all/modules/date/date.migrate.inc b/drupal7/sites/all/modules/date/date.migrate.inc
index 90c1ec51..dc95c9ff 100644
--- a/drupal7/sites/all/modules/date/date.migrate.inc
+++ b/drupal7/sites/all/modules/date/date.migrate.inc
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * Support for migration into Date fields.
@@ -9,16 +10,8 @@ if (!class_exists('MigrateFieldHandler')) {
 }
 
 /**
- * Implements hook_migrate_api().
+ * Support for migration into Date fields.
  */
-function date_migrate_api() {
-  $api = array(
-    'api' => 2,
-    'field handlers' => array('DateMigrateFieldHandler'),
-  );
-  return $api;
-}
-
 class DateMigrateFieldHandler extends MigrateFieldHandler {
 
   /**
@@ -112,7 +105,7 @@ class DateMigrateFieldHandler extends MigrateFieldHandler {
 
       // Legacy support for JSON containing a set of properties - deprecated
       // now that we have subfields.
-      if (!empty($from) && $from{0} == '{') {
+      if (!empty($from) && $from[0] == '{') {
         $properties = drupal_json_decode($from);
         $from = $properties['from'];
         // Properties passed in with the date override any set via arguments.
@@ -127,9 +120,8 @@ class DateMigrateFieldHandler extends MigrateFieldHandler {
         }
       }
 
-      // Missing data? Create an empty value and return;
-      // Don't try to turn the empty value into a bogus
-      // timestamp for 'now'.
+      // Missing data? Create an empty value and return; Don't try to turn the
+      // empty value into a bogus timestamp for 'now'.
       if (empty($from)) {
         $return[$language][$delta]['value'] = NULL;
         $return[$language][$delta]['timezone'] = NULL;
@@ -171,9 +163,6 @@ class DateMigrateFieldHandler extends MigrateFieldHandler {
             $to = format_date($to, 'custom', 'Y-m-d\TH:i:s', $timezone);
           }
           break;
-
-        default:
-          break;
       }
 
       // Handle repeats, coming in as RRULEs. Many field instances may be
@@ -212,4 +201,5 @@ class DateMigrateFieldHandler extends MigrateFieldHandler {
       'to' => t('End date date'),
     );
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/date.module b/drupal7/sites/all/modules/date/date.module
index e667b5dd..005ebab3 100644
--- a/drupal7/sites/all/modules/date/date.module
+++ b/drupal7/sites/all/modules/date/date.module
@@ -20,8 +20,8 @@ function date_get_entity_bundle($entity_type, $entity) {
 
     default:
       $bundle = field_extract_bundle($entity_type, $entity);
-      break;
   }
+
   // If there is no bundle name, field_info() uses the entity name as the bundle
   // name in its arrays.
   if (empty($bundle)) {
@@ -157,7 +157,7 @@ function date_theme() {
 /**
  * Implements hook_element_info().
  *
- * date_combo will create a 'start' and optional 'end' date, along with
+ * Date_combo will create a 'start' and optional 'end' date, along with
  * an optional 'timezone' column for date-specific timezones. Each
  * 'start' and 'end' date will be constructed from date_select or date_text.
  */
@@ -170,6 +170,9 @@ function date_element_info() {
     '#process' => array('date_combo_element_process'),
     '#element_validate' => array('date_combo_validate'),
     '#theme_wrappers' => array('date_combo'),
+    '#attached' => array('css' => array(
+      drupal_get_path('module', 'date_api') . '/date.css',
+    )),
   );
   if (module_exists('ctools')) {
     $type['date_combo']['#pre_render'] = array('ctools_dependent_pre_render');
@@ -185,7 +188,7 @@ function date_element_info() {
  * @param string $formatter
  *   The date formatter.
  * @param string $entity_type
- *   The entity_type for the instance
+ *   The entity_type for the instance.
  * @param object $entity
  *   The entity object.
  * @param array $field
@@ -215,7 +218,7 @@ function date_element_info() {
  *       )
  *     )
  */
-function date_formatter_process($formatter, $entity_type, $entity, $field, $instance, $langcode, $item, $display) {
+function date_formatter_process($formatter, $entity_type, $entity, array $field, array $instance, $langcode, array $item, array $display) {
   $dates = array();
   $timezone = date_default_timezone();
   if (empty($timezone)) {
@@ -338,12 +341,12 @@ function _get_custom_date_format($date, $format) {
  * $field['settings']['granularity'] will contain an array like
  * ('hour' => 'hour', 'month' => 0) where the values turned on return their own
  * names and the values turned off return a zero need to reconfigure this into
- * simple array of the turned on values
+ * simple array of the turned on values.
  *
  * @param array $field
  *   The field array.
  */
-function date_granularity($field) {
+function date_granularity(array $field) {
   if (!is_array($field) || !is_array($field['settings']['granularity'])) {
     $granularity = drupal_map_assoc(array('year', 'month', 'day'));
     $field['settings']['granularity'] = $granularity;
@@ -352,9 +355,15 @@ function date_granularity($field) {
 }
 
 /**
- * Helper function to create an array of the date values in a field that need to be processed.
+ * Create an array of the date values in a field that need to be processed.
+ *
+ * @param array $field
+ *   The field being processed.
+ *
+ * @return array
+ *   The date values which need to be processed.
  */
-function date_process_values($field) {
+function date_process_values(array $field) {
   return $field['settings']['todate'] ? array('value', 'value2') : array('value');
 }
 
@@ -449,7 +458,6 @@ function date_formatter_format($formatter, $settings, $granularity = array(), $l
       else {
         $format = date_format_type_format($format_type, $langcode);
       }
-      break;
   }
 
   // A selected format might include timezone information.
@@ -471,7 +479,7 @@ function date_format_type_format($format_type, $langcode = NULL) {
     // we receive (due to inconsistency of core api) an array of all (other)
     // formats available for $langcode in locale table.
     // However there's no guarantee that the key $format_type exists.
-    // See http://drupal.org/node/1302358.
+    // @see http://drupal.org/node/1302358
     if (!is_string($format)) {
       // If the configuration page at admin/config/regional/date-time was
       // never saved, the default core date format variables
@@ -493,19 +501,17 @@ function date_format_type_format($format_type, $langcode = NULL) {
         case 'medium':
         default:
           // @todo: If a non-core module provides a date type and does not
-          // variable_set() a default for it, the default assumed here may
-          // not be correct (since the default format used by 'medium' may
-          // not even be one of the allowed formats for the date type in
-          // question). To fix this properly, we should really call
-          // system_get_date_formats($format_type) and take the first
-          // format from that list as the default. However, this function
-          // is called often (on many different page requests), so calling
+          // variable_set() a default for it, the default assumed here may not
+          // be correct (since the default format used by 'medium' may not even
+          // be one of the allowed formats for the date type in question). To
+          // fix this properly, we should really call
+          // system_get_date_formats($format_type) and take the first format
+          // from that list as the default. However, this function is called
+          // often (on many different page requests), so calling
           // system_get_date_formats() from here would be a performance hit
-          // since that function writes several records to the database
-          // during each page request that calls it.
+          // since that function writes several records to the database during
+          // each page request that calls it.
           $default = 'D, m/d/Y - H:i';
-          break;
-
       }
       $format = variable_get('date_format_' . $format_type, $default);
     }
@@ -656,7 +662,7 @@ function date_entity_metadata_struct_getter($item, array $options, $name, $type,
     return NULL;
   }
 
-  $timezone_db = !empty($item['timezone_db']) ? $item['timezone_db'] : 'UTC';
+  $timezone_db = date_get_timezone_db($info['field']['settings']['tz_handling']);
   $date = new DateObject($value, $timezone_db);
   return !empty($date) ? date_format_date($date, 'custom', 'U') : NULL;
 }
@@ -714,7 +720,8 @@ function date_entity_metadata_struct_create($name, $property_info) {
  *
  * Based on entity_property_verbatim_set().
  *
- * The passed in unix timestamp (UTC) is converted to the right value and format dependent on the field.
+ * The passed in unix timestamp (UTC) is converted to the right value and format
+ * dependent on the field.
  *
  * $name is either 'value' or 'value2'.
  */
@@ -736,25 +743,37 @@ function date_entity_metadata_struct_setter(&$item, $name, $value, $langcode, $t
 }
 
 /**
- * Duplicate functionality of what is now date_all_day_field() in the Date All Day module.
+ * Duplicate of what is now date_all_day_field() in the Date All Day module.
  *
- * Copy left here to avoid breaking other modules that use this function.
+ * Left here to avoid breaking other modules that use this function.
  *
- * DEPRECATED!, will be removed at some time in the future.
+ * DEPRECATED! Will be removed at some time in the future.
  */
 function date_field_all_day($field, $instance, $date1, $date2 = NULL) {
   if (empty($date1) || !is_object($date1)) {
     return FALSE;
   }
   elseif (!date_has_time($field['settings']['granularity'])) {
-    return TRUE;
+    return FALSE;
   }
+  // The master setting for the 'all day' functionality.
+  elseif (empty($instance['settings']['widget']['settings']['display_all_day'])) {
+    return FALSE;
+  }
+
   if (empty($date2)) {
     $date2 = $date1;
   }
 
+  // Use central logic for determining the granularity.
   $granularity = date_granularity_precision($field['settings']['granularity']);
-  $increment = isset($instance['widget']['settings']['increment']) ? $instance['widget']['settings']['increment'] : 1;
+
+  // The increment is 1 by default, but it can be overridden.
+  $increment = 1;
+  if (isset($instance['widget']['settings']['increment'])) {
+    $increment = $instance['widget']['settings']['increment'];
+  }
+
   return date_is_all_day(date_format($date1, DATE_FORMAT_DATETIME), date_format($date2, DATE_FORMAT_DATETIME), $granularity, $increment);
 }
 
@@ -771,7 +790,7 @@ function date_field_all_day($field, $instance, $date1, $date2 = NULL) {
  *
  * DEPRECATED!, will be removed at some time in the future.
  */
-function date_field_get_sql_handler($field, $compare_tz = NULL) {
+function date_field_get_sql_handler(array $field, $compare_tz = NULL) {
   module_load_include('inc', 'date_api', 'date_api_sql');
 
   $db_info = date_api_database_info($field);
@@ -802,11 +821,11 @@ function date_field_get_sql_handler($field, $compare_tz = NULL) {
 
 /**
  * Implements hook_field_widget_properties_alter().
- *
- * Alters the widget properties of a field instance before it gets displayed.
- * Used here to flag new entities so we can later tell if they need default values.
  */
-function date_field_widget_properties_alter(&$widget, $context) {
+function date_field_widget_properties_alter(array &$widget, $context) {
+  // Alters the widget properties of a field instance before it gets displayed.
+  // Used here to flag new entities so we can later tell if they need default
+  // values.
   if (in_array($widget['type'], array('date_select', 'date_text', 'date_popup'))) {
     $entity_type = $context['entity_type'];
     $entity = $context['entity'];
@@ -818,3 +837,14 @@ function date_field_widget_properties_alter(&$widget, $context) {
     }
   }
 }
+
+/**
+ * Implements hook_migrate_api().
+ */
+function date_migrate_api() {
+  $api = array(
+    'api' => 2,
+    'field handlers' => array('DateMigrateFieldHandler'),
+  );
+  return $api;
+}
diff --git a/drupal7/sites/all/modules/date/date.theme b/drupal7/sites/all/modules/date/date.theme
index c4ea352a..00776ad6 100644
--- a/drupal7/sites/all/modules/date/date.theme
+++ b/drupal7/sites/all/modules/date/date.theme
@@ -15,46 +15,46 @@
 /**
  * Returns HTML for a date element formatted as a Start/End combination.
  *
- *  $entity->date_id
- *    If set, this will show only an individual date on a field with
- *    multiple dates. The value should be a string that contains
- *    the following values, separated with periods:
- *    - module name of the module adding the item
- *    - node nid
- *    - field name
- *    - delta value of the field to be displayed
- *    - other information the module's custom theme might need
+ * $entity->date_id
+ *   If set, this will show only an individual date on a field with
+ *   multiple dates. The value should be a string that contains
+ *   the following values, separated with periods:
+ *   - module name of the module adding the item
+ *   - node nid
+ *   - field name
+ *   - delta value of the field to be displayed
+ *   - other information the module's custom theme might need.
  *
- *    Used by the calendar module and available for other uses.
- *    example: 'date.217.field_date.3.test'
+ *   Used by the calendar module and available for other uses.
+ *   example: 'date.217.field_date.3.test'
  *
- *  $entity->date_repeat_show
- *    If true, tells the theme to show all the computed values of a repeating
- *    date. If not true or not set, only the start date and the repeat rule
- *    will be displayed.
+ * $entity->date_repeat_show
+ *   If TRUE, tells the theme to show all the computed values of a repeating
+ *   date. If not TRUE or not set, only the start date and the repeat rule
+ *   will be displayed.
  *
- *  $dates['format']
- *    The format string used on these dates
- *  $dates['value']['local']['object']
- *    The local date object for the Start date
- *  $dates['value2']['local']['object']
- *    The local date object for the End date
- *  $dates['value']['local']['datetime']
- *    The datetime value of the Start date database (GMT) value
- *  $dates['value2']['local']['datetime']
- *    The datetime value of the End date database (GMT) value
- *  $dates['value']['formatted']
- *    Formatted Start date, i.e. 'February 15, 2007 2:00 pm';
- *  $dates['value']['formatted_date']
- *    Only the date part of the formatted Start date
- *  $dates['value']['formatted_time']
- *    Only the time part of the formatted Start date
- *  $dates['value2']['formatted']
- *    Formatted End date, i.e. 'February 15, 2007 6:00 pm';
- *  $dates['value2']['formatted_date']
- *    Only the date part of the formatted End date
- *  $dates['value2']['formatted_time']
- *    Only the time part of the formatted End date
+ * $dates['format']
+ *   The format string used on these dates
+ * $dates['value']['local']['object']
+ *   The local date object for the Start date
+ * $dates['value2']['local']['object']
+ *   The local date object for the End date
+ * $dates['value']['local']['datetime']
+ *   The datetime value of the Start date database (GMT) value
+ * $dates['value2']['local']['datetime']
+ *   The datetime value of the End date database (GMT) value
+ * $dates['value']['formatted']
+ *   Formatted Start date, i.e. 'February 15, 2007 2:00 pm';
+ * $dates['value']['formatted_date']
+ *   Only the date part of the formatted Start date
+ * $dates['value']['formatted_time']
+ *   Only the time part of the formatted Start date
+ * $dates['value2']['formatted']
+ *   Formatted End date, i.e. 'February 15, 2007 6:00 pm';
+ * $dates['value2']['formatted_date']
+ *   Only the date part of the formatted End date
+ * $dates['value2']['formatted_time']
+ *   Only the time part of the formatted End date
  */
 function theme_date_display_combination($variables) {
   static $repeating_ids = array();
@@ -77,7 +77,6 @@ function theme_date_display_combination($variables) {
   $microdata   = $variables['microdata'];
   $add_microdata = $variables['add_microdata'];
   $precision   = date_granularity_precision($field['settings']['granularity']);
-  $show_remaining_days = $variables['show_remaining_days'];
 
   $output = '';
 
@@ -117,6 +116,26 @@ function theme_date_display_combination($variables) {
     $element['#entity'] = $entity;
   }
 
+  // Verify these variables exist.
+  if (!isset($dates['value']['formatted'])) {
+    $dates['value']['formatted'] = '';
+  }
+  if (!isset($dates['value2']['formatted'])) {
+    $dates['value2']['formatted'] = '';
+  }
+  if (!isset($dates['value']['formatted_time'])) {
+    $dates['value']['formatted_time'] = '';
+  }
+  if (!isset($dates['value2']['formatted_time'])) {
+    $dates['value2']['formatted_time'] = '';
+  }
+  if (!isset($dates['value1']['formatted_timezone'])) {
+    $dates['value1']['formatted_timezone'] = '';
+  }
+  if (!isset($dates['value2']['formatted_timezone'])) {
+    $dates['value2']['formatted_timezone'] = '';
+  }
+
   switch ($options['fromto']) {
     case 'value':
       $date1 = $dates['value']['formatted'];
@@ -156,9 +175,9 @@ function theme_date_display_combination($variables) {
 
   // Check remaining days.
   $show_remaining_days = '';
-  if (!empty($variables['show_remaining_days'])) {
-    $remaining_days = floor((strtotime($variables['dates']['value']['formatted_iso'])
-    - strtotime('now')) / (24 * 3600));
+  if (!empty($variables['show_remaining_days']) && isset($variables['dates']['value']['formatted_iso'])) {
+    $remaining_days = $variables['dates']['value']['formatted_iso'];
+    $remaining_days = floor((strtotime($remaining_days) - strtotime('now')) / (24 * 3600));
 
     // Show remaining days only for future events.
     if ($remaining_days >= 0) {
@@ -172,12 +191,13 @@ function theme_date_display_combination($variables) {
   if (empty($date1) && empty($date2)) {
     $output .= '';
   }
+
   // Start and End dates match or there is no End date, display a complete
   // single date.
   elseif ($date1 == $date2 || empty($date2)) {
     $output .= theme('date_display_single', array(
       'date' => $date1,
-      'timezone' => $timezone,
+      'timezone' => $has_time_string ? $timezone : '',
       'attributes' => $attributes,
       'rdf_mapping' => $rdf_mapping,
       'add_rdf' => $add_rdf,
@@ -187,6 +207,7 @@ function theme_date_display_combination($variables) {
       'show_remaining_days' => $show_remaining_days,
     ));
   }
+
   // Same day, different times, don't repeat the date but show both Start and
   // End times. We can NOT do this if the replacement value is an integer
   // instead of a time string.
@@ -216,12 +237,13 @@ function theme_date_display_combination($variables) {
       'dates' => $dates,
     ));
   }
+
   // Different days, display both in their entirety.
   else {
     $output .= theme('date_display_range', array(
       'date1' => $date1,
       'date2' => $date2,
-      'timezone' => $timezone,
+      'timezone' => $has_time_string ? $timezone : '',
       'attributes' => $attributes,
       'rdf_mapping' => $rdf_mapping,
       'add_rdf' => $add_rdf,
@@ -251,7 +273,7 @@ function template_preprocess_date_display_single(&$variables) {
     $variables['attributes'] = $variables['attributes'] + $base_attributes;
   }
 
-  // Pass along microdata attributes, or set display to false if none are set.
+  // Pass along microdata attributes, or set display to FALSE if none are set.
   if (!empty($variables['add_microdata'])) {
     // Because the Entity API integration for Date has a variable data
     // structure depending on whether there is an end value, the attributes
@@ -299,7 +321,7 @@ function template_preprocess_date_display_range(&$variables) {
   $variables['attributes_end'] += $variables['attributes'];
 
   if ($variables['add_rdf']) {
-    // Pass along the rdf mapping for this field, if any. Add some default rdf
+    // Pass along the rdf mapping for this field, if any. Add some default RDF
     // attributes that will be used if not overridden by attributes passed in.
     $dates = $variables['dates'];
     $base_attributes = array(
@@ -315,7 +337,7 @@ function template_preprocess_date_display_range(&$variables) {
     }
   }
 
-  // Pass along microdata attributes, or set display to false if none are set.
+  // Pass along microdata attributes, or set display to FALSE if none are set.
   if ($variables['add_microdata']) {
     if (!empty($variables['microdata']['value']['#attributes'])) {
       $variables['microdata']['value']['#attributes']['content'] = $variables['dates']['value']['formatted_iso'];
@@ -336,7 +358,7 @@ function theme_date_display_range($variables) {
   $timezone = $variables['timezone'];
   $attributes_start = $variables['attributes_start'];
   $attributes_end = $variables['attributes_end'];
-  $show_remaining_days = $variables['show_remaining_days'];
+  $show_remaining_days = isset($variables['show_remaining_days']) ? $variables['show_remaining_days'] : '';
 
   $start_date = '<span class="date-display-start"' . drupal_attributes($attributes_start) . '>' . $date1 . '</span>';
   $end_date = '<span class="date-display-end"' . drupal_attributes($attributes_end) . '>' . $date2 . $timezone . '</span>';
@@ -379,7 +401,7 @@ function theme_date_display_interval($variables) {
     'interval' => $options['interval'],
     'interval_display' => $options['interval_display'],
     'use_end_date' => !empty($options['use_end_date']) ?
-      $options['use_end_date'] : FALSE,
+    $options['use_end_date'] : FALSE,
   );
 
   if ($return = theme('date_time_ago', $time_ago_vars)) {
@@ -462,11 +484,19 @@ function theme_date_form_element($variables) {
   // Detect if there is more than one subfield.
   $count = count(explode('<label', $element['#children'])) - 1;
   if ($count == 1) {
-    $element['#title_display'] = 'none';
+    // If there is only one subfield, hide the label of the main field only if
+    // the label of the subfield is visible.
+    if (empty($variables['element']['value']['#instance'])
+      || empty($variables['element']['value']['#instance']['widget'])
+      || empty($variables['element']['value']['#instance']['widget']['settings'])
+      || empty($variables['element']['value']['#instance']['widget']['settings']['label_position'])
+      || $variables['element']['value']['#instance']['widget']['settings']['label_position'] != 'none') {
+      $element['#title_display'] = 'none';
+    }
   }
 
   // Wrap children with a div and add an extra class if element is multiline.
-  $element['#children'] = '<div class="date-form-element-content'. ($multiline ? ' date-form-element-content-multiline' : '') .'">'. $element['#children'] .'</div>';
+  $element['#children'] = '<div class="date-form-element-content' . ($multiline ? ' date-form-element-content-multiline' : '') . '">' . $element['#children'] . '</div>';
 
   return theme('form_element', $variables);
 }
@@ -477,12 +507,13 @@ function theme_date_form_element($variables) {
 function theme_date_display_remaining($variables) {
   $remaining_days = $variables['remaining_days'];
   $output = '';
-  $show_remaining_text = t('The upcoming date less then 1 day.');
+  $show_remaining_text = t('Less than 1 day remaining');
   if ($remaining_days) {
-    $show_remaining_text = format_plural($remaining_days, 'To event remaining 1 day', 'To event remaining @count days');
+    $show_remaining_text = format_plural($remaining_days, '1 day remaining', '@count days remaining');
   }
 
   return '<div class="date-display-remaining"><span class="date-display-remaining">' . $show_remaining_text . '</span></div>';
 }
 
-/** @} End of addtogroup themeable */
+/**
+ * @} End of addtogroup themeable */
diff --git a/drupal7/sites/all/modules/date/date.tokens.inc b/drupal7/sites/all/modules/date/date.tokens.inc
index 5caab14b..18e27429 100644
--- a/drupal7/sites/all/modules/date/date.tokens.inc
+++ b/drupal7/sites/all/modules/date/date.tokens.inc
@@ -62,8 +62,8 @@ function date_tokens($type, $tokens, array $data = array(), array $options = arr
         date_timezone_set($date, timezone_open($item['timezone']));
       }
       $timestamp = !empty($date) ? date_format_date($date, 'custom', 'U') : '';
-      // Generate the token replacements, using the date token type provided
-      // by system.module.
+      // Generate the token replacements, using the date token type provided by
+      // system.module.
       $replacements += token_generate('date', $date_tokens, array('date' => $timestamp), $options);
     }
   }
diff --git a/drupal7/sites/all/modules/date/date_admin.inc b/drupal7/sites/all/modules/date/date_admin.inc
index b800201e..1cb91eab 100644
--- a/drupal7/sites/all/modules/date/date_admin.inc
+++ b/drupal7/sites/all/modules/date/date_admin.inc
@@ -2,7 +2,7 @@
 
 /**
  * @file
- * Date administration code.
+ * Date administration functionality.
  */
 
 /**
@@ -196,7 +196,7 @@ function date_default_formatter_settings_summary($field, $instance, $view_mode)
 /**
  * Settings summary for the interval formatter.
  *
- * @TODO Add settings later.
+ * @todo Add settings later.
  */
 function date_interval_formatter_settings_summary($field, $instance, $view_mode) {
   $summary = array();
@@ -205,7 +205,7 @@ function date_interval_formatter_settings_summary($field, $instance, $view_mode)
   $formatter = $display['type'];
   $field = ($settings['use_end_date'] == 1) ? 'End' : 'Start';
   $summary[] = t('Display time ago, showing @interval units. Using @field Date',
-      array('@interval' => $settings['interval'], '@field' => $field));
+    array('@interval' => $settings['interval'], '@field' => $field));
 
   return $summary;
 }
@@ -378,14 +378,16 @@ function _date_field_widget_settings_form($field, $instance) {
       '#weight' => 6,
     );
     $form['increment'] = array(
-      '#type' => 'select', '#title' => t('Time increments'),
+      '#type' => 'select',
+      '#title' => t('Time increments'),
       '#default_value' => $settings['increment'],
       '#options' => array(
         1 => t('1 minute'),
         5 => t('5 minute'),
         10 => t('10 minute'),
         15 => t('15 minute'),
-        30 => t('30 minute')),
+        30 => t('30 minute'),
+      ),
       '#weight' => 7,
       '#fieldset' => 'date_format',
     );
@@ -440,7 +442,7 @@ function _date_field_widget_settings_form($field, $instance) {
     '#description' => $description,
   );
   $form['advanced']['text_parts'] = array(
-    '#theme' => $widget['type'] == 'date_select' ? 'date_text_parts' : '',
+    '#theme' => $widget['type'] == 'date_select' ? 'date_text_parts' : NULL,
   );
   $text_parts = (array) $settings['text_parts'];
   foreach (date_granularity_names() as $key => $value) {
diff --git a/drupal7/sites/all/modules/date/date_admin.js b/drupal7/sites/all/modules/date/date_admin.js
index e3cde3fc..0323f0c3 100644
--- a/drupal7/sites/all/modules/date/date_admin.js
+++ b/drupal7/sites/all/modules/date/date_admin.js
@@ -1,81 +1,83 @@
+/**
+ * @file
+ */
 (function ($) {
 
-Drupal.behaviors.dateAdmin = {};
+  Drupal.behaviors.dateAdmin = {};
 
-Drupal.behaviors.dateAdmin.attach = function (context, settings) {
-  // Remove timezone handling options for fields without hours granularity.
-  var $hour = $('#edit-field-settings-granularity-hour').once('date-admin');
-  if ($hour.length) {
-    new Drupal.dateAdmin.TimezoneHandler($hour);
-  }
-};
+  Drupal.behaviors.dateAdmin.attach = function (context, settings) {
+    // Remove timezone handling options for fields without hours granularity.
+    var $hour = $('#edit-field-settings-granularity-hour').once('date-admin');
+    if ($hour.length) {
+      new Drupal.dateAdmin.TimezoneHandler($hour);
+    }
+  };
 
+  Drupal.dateAdmin = {};
 
-Drupal.dateAdmin = {};
-
-/**
+  /**
  * Constructor for the TimezoneHandler object.
  *
  * This object is responsible for showing the timezone handling options dropdown
  * when the user has chosen to collect hours as part of the date field, and
  * hiding it otherwise.
  */
-Drupal.dateAdmin.TimezoneHandler = function ($checkbox) {
-  this.$checkbox = $checkbox;
-  this.$dropdown = $('#edit-field-settings-tz-handling');
-  this.$timezoneDiv = $('.form-item-field-settings-tz-handling');
-  // Store the initial value of the timezone handling dropdown.
-  this.storeTimezoneHandling();
-  // Toggle the timezone handling section when the user clicks the "Hour"
-  // checkbox.
-  this.$checkbox.bind('click', $.proxy(this.clickHandler, this));
-  // Trigger the click handler so that if the checkbox is unchecked on initial
-  // page load, the timezone handling section will be hidden.
-  this.clickHandler();
-};
+  Drupal.dateAdmin.TimezoneHandler = function ($checkbox) {
+    this.$checkbox = $checkbox;
+    this.$dropdown = $('#edit-field-settings-tz-handling');
+    this.$timezoneDiv = $('.form-item-field-settings-tz-handling');
+    // Store the initial value of the timezone handling dropdown.
+    this.storeTimezoneHandling();
+    // Toggle the timezone handling section when the user clicks the "Hour"
+    // checkbox.
+    this.$checkbox.bind('click', $.proxy(this.clickHandler, this));
+    // Trigger the click handler so that if the checkbox is unchecked on initial
+    // page load, the timezone handling section will be hidden.
+    this.clickHandler();
+  };
 
-/**
- * Event handler triggered when the user clicks the "Hour" checkbox.
- */
-Drupal.dateAdmin.TimezoneHandler.prototype.clickHandler = function () {
-  if (this.$checkbox.is(':checked')) {
-    this.restoreTimezoneHandlingOptions();
-  }
-  else {
-    this.hideTimezoneHandlingOptions();
-  }
-};
+  /**
+   * Event handler triggered when the user clicks the "Hour" checkbox.
+   */
+  Drupal.dateAdmin.TimezoneHandler.prototype.clickHandler = function () {
+    if (this.$checkbox.is(':checked')) {
+      this.restoreTimezoneHandlingOptions();
+    }
+    else {
+      this.hideTimezoneHandlingOptions();
+    }
+  };
 
-/**
- * Hide the timezone handling options section of the form.
- */
-Drupal.dateAdmin.TimezoneHandler.prototype.hideTimezoneHandlingOptions = function () {
-  this.storeTimezoneHandling();
-  this.$dropdown.val('none');
-  this.$timezoneDiv.hide();
-};
+  /**
+   * Hide the timezone handling options section of the form.
+   */
+  Drupal.dateAdmin.TimezoneHandler.prototype.hideTimezoneHandlingOptions = function () {
+    this.storeTimezoneHandling();
+    this.$dropdown.val('none');
+    this.$timezoneDiv.hide();
+  };
 
-/**
- * Show the timezone handling options section of the form.
- */
-Drupal.dateAdmin.TimezoneHandler.prototype.restoreTimezoneHandlingOptions = function () {
-  var val = this.getTimezoneHandling();
-  this.$dropdown.val(val);
-  this.$timezoneDiv.show();
-};
+  /**
+   * Show the timezone handling options section of the form.
+   */
+  Drupal.dateAdmin.TimezoneHandler.prototype.restoreTimezoneHandlingOptions = function () {
+    var val = this.getTimezoneHandling();
+    this.$dropdown.val(val);
+    this.$timezoneDiv.show();
+  };
 
-/**
- * Store the current value of the timezone handling dropdown.
- */
-Drupal.dateAdmin.TimezoneHandler.prototype.storeTimezoneHandling = function () {
-  this._timezoneHandling = this.$dropdown.val();
-};
+  /**
+   * Store the current value of the timezone handling dropdown.
+   */
+  Drupal.dateAdmin.TimezoneHandler.prototype.storeTimezoneHandling = function () {
+    this._timezoneHandling = this.$dropdown.val();
+  };
 
-/**
- * Return the stored value of the timezone handling dropdown.
- */
-Drupal.dateAdmin.TimezoneHandler.prototype.getTimezoneHandling = function () {
-  return this._timezoneHandling;
-};
+  /**
+   * Return the stored value of the timezone handling dropdown.
+   */
+  Drupal.dateAdmin.TimezoneHandler.prototype.getTimezoneHandling = function () {
+    return this._timezoneHandling;
+  };
 
 })(jQuery);
